---
schema_version: "1"
id: 5d5b493883066c3d0472823a88487e058204350d0e7d14ed120c0ba62460cbb8
title: Get Personalized Navigation Items
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_apps_user_nav_items.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_apps_user_nav_items.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 73f403c964814ac0a66c2d1f2f4ee45118fed96e19f9fb0592f2c268c31609e0
description: Get a user’s personalized navigation items (tabs).
---
# Get Personalized Navigation Items

Get a user’s personalized navigation items (tabs).

Resource

/ui-api/apps/${appId}/user-nav-items

Available Version

43.0

HTTP Method

GET

Example

To get a user’s personalized navigation tabs for an app, make this request using the app ID:

GET /services/data/v68.0/ui-api/apps/06mRM000000AFIrYAO/user-nav-items

The request returns metadata for the personalized navigation tabs associated with this app.

{
  "navItems" : \[   {
    "availableInClassic" : true,
    "availableInLightning" : true,
    "color" : "50E3C2",
    "content" : "https://yourInstance.salesforce.com/0WO/o",
    "custom" : false,
    "developerName" : "standard-WorkOrder",
    "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/standard/work\_order\_120.png",
    "id" : "0QkR00000004CvtKAE",
    "itemType" : "Entity",
    "label" : "Work Orders",
    "objectApiName" : "WorkOrder",
    "pageReference" : {
      "attributes" : {
        "objectApiName" : "WorkOrder",
        "actionName" : "home"
      },
      "state" : { },
      "type" : "standard\_\_objectPage"
    },
    "standardType" : null
  }, {
    "availableInClassic" : true,
    "availableInLightning" : true,
    "color" : "83B6FF",
    "content" : "https://yourInstance.salesforce.com/\_ui/core/chatter/groups/GroupListPage",
    "custom" : false,
    "developerName" : "standard-CollaborationGroup",
    "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/standard/groups\_120.png",
    "id" : "0QkR000000002R3KAI",
    "itemType" : "Standard",
    "label" : "Groups",
    "objectApiName" : "CollaborationGroup",
    "pageReference" : {
      "attributes" : {
        "objectApiName" : "CollaborationGroup",
        "actionName" : "home"
      },
      "state" : { },
      "type" : "standard\_\_objectPage"
    },
    "standardType" : "Groups"
  }, {
    "availableInClassic" : true,
    "availableInLightning" : true,
    "color" : "2ECBBE",
    "content" : "https://yourInstance.salesforce.com/00O/o",
    "custom" : false,
    "developerName" : "standard-report",
    "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/standard/report\_120.png",
    "id" : "0QkR000000007UxKAI",
    "itemType" : "Standard",
    "label" : "Reports",
    "objectApiName" : "Report",
    "pageReference" : {
      "attributes" : {
        "objectApiName" : "Report",
        "actionName" : "home"
      },
      "state" : { },
      "type" : "standard\_\_objectPage"
    },
    "standardType" : "Reports"
  } \]
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d41144e114">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d41144e117">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d41144e120">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d41144e123">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d41144e126">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d41144e114" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d41144e117" data-title="Type">String</td>

                  <td class="entry" headers="d41144e120" data-title="Description">The form factor for each app that the user has access to.<a name="form_factor_values_ul"><!-- --></a>
                    <ul class="ul bulletList" id="form_factor_values_ul">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—App supports the
                        desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—App supports the
                        tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—App supports the phone
                        display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d41144e123" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d41144e126" data-title="Available Version">43.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Navigation Items](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_nav_items.htm "An ordered list of navigation items (tabs) for the current user.")